@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 800;
  src: url(../fonts/cantarell-extra-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}

@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 600;
  src: url(../fonts/cantarell-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}

@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/cantarell-regular-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}

@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 300;
  src: url(../fonts/cantarell-light.woff2) format("woff2");
  font-display: block;
}

$font-family-sans-serif: "Cantarell",
-apple-system,
BlinkMacSystemFont,
"Segoe UI",
Roboto,
"Helvetica Neue",
Arial,
"Noto Sans",
sans-serif,
"Apple Color Emoji",
"Segoe UI Emoji",
"Segoe UI Symbol",
"Noto Color Emoji" !important;

// set the default font size for the website
$font-size-base: 1.15rem;

// enable the reponsive font sizes for better scaling
$enable-responsive-font-sizes: true !important;

// defining the color system for the website
$theme-colors: ("primary": #3b86e2, "secondary": #f28518, "tertiary": #94d354, "info": #c0c4bd, "light": #f8f9fa, "dark": #151515, "grey": #6c757d, "design": #b163cc, "mdcolor": #f2f3f2, "mdborder": #e7e8e9);

// defining the spacing system for the website
$spacer: 1rem;
$spacers: (0: 0,
  1: ($spacer * 0.25),
  2: ($spacer * 0.5),
  3: $spacer,
  4: ($spacer * 2),
  5: ($spacer * 4),
  6: ($spacer * 8));

$navbar-nav-link-padding-x: 0.8rem !important;

// disable the default bootstrap box shadow when the elements they are clicked
$pagination-focus-box-shadow: none !important;
$input-btn-focus-box-shadow: none !important;
$btn-focus-box-shadow: none !important;
$input-focus-box-shadow: none !important;

// styling for the mouse hover event happening on the navbar links
$nav-bar-types: ("light": darken(map-get($theme-colors, "light"), 5%),
  "white": darken(#ffffff, 5%),
  "transparent": rgba(darken(#ffffff, 5%), 0.2),
  "dark": lighten(map-get($theme-colors, "dark"), 15%));

@each $type,
$color in $nav-bar-types {
  .nav-link-#{$type} {
    padding: $navbar-nav-link-padding-x;

    &:hover {
      background: $color !important;
      text-decoration: none;
    }
  }

  .nav-sublink-#{$type} {
    background: $color !important;
    padding: $navbar-nav-link-padding-x;
  }
}

@import "../3rd-party/bootstrap/scss/bootstrap";

@mixin badge-variant($bg) {
  color: $bg !important;
  background-color: lighten($bg, 35%) !important;
}

@each $color,
$value in $theme-colors {
  .badge-#{$color} {
    @include badge-variant($value);
  }
}

// adding icons to bootstrap alerts
$alert-icons: ("success": "\f0eb",
  "info": "\f0eb",
  "danger": "\f05e",
  "warning": "\f06a"
);

@each $color,
$icon in $alert-icons {
  .alert-#{$color} {
    &::before {
      content: $icon;
      position: relative;
      font-family: 'Font Awesome 5 Free', serif;
      font-weight: 900;
    }
  }
}

.badge-dark-grey, .badge-dark-grey:hover {
  color: #3d3553;
  background-color: lighten(map-get($theme-colors, "grey"), 35%) !important;
}

.icon-dropshadow {
  filter: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.2));
}

.navbar-brand svg {
  width: 100px;
}

.bg_gradient {
    background: linear-gradient(90deg, rgba(53,132,228,1) 0%, rgba(145,65,172,1) 33%, rgba(224,27,36,1) 66%, rgba(255,120,0,1) 100%);
}
